[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# DefaultMessageBox

Widgetset-independent implementation of a message box routine.

## Declaration

Source position: dialogs.pp line 941

`function DefaultMessageBox(`
`Text: PChar;`
`Caption: PChar;`
`Flags: LongInt`
`):Integer;`

## Arguments

`Text` |  | The message displayed in the message box.
`Caption` |  | The caption or title for the message box.
`Flags` |  | Indicates the buttons and icon displayed on the message box. Includes the combined values for message box button and icon constants defined in lcltype.pp.

## Function result

Modal result value for the dialog which indicates the key pressed to close the message box.

## See also

MessageDlg |  | Shows a message to the user and gets the response.